# Uses of Interface
org.eclipse.emf.cdo.common.commit.CDOCommitHistory

Packages that use CDOCommitHistory
Package
Description
org.eclipse.emf.cdo
Client concepts like `CDOObject` and `CDOState`.
org.eclipse.emf.cdo.common.commit
Common concepts for dealing with commits and change sets.
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.cdo.ui.widgets
A library with reusable widgets.

## Uses of CDOCommitHistory in org.eclipse.emf.cdo

Subinterfaces of CDOCommitHistory in org.eclipse.emf.cdo
Modifier and Type
Interface
Description
`interface`
`CDOObjectHistory`
A cache for the `commit infos` of an `object`.

## Uses of CDOCommitHistory in org.eclipse.emf.cdo.common.commit

Classes in org.eclipse.emf.cdo.common.commit with type parameters of type CDOCommitHistory
Modifier and Type
Interface
Description
`static interface`
`CDOCommitHistory.Provider<KEY,HISTORY extends CDOCommitHistory>`
Provides consumers with `histories`.
Fields in org.eclipse.emf.cdo.common.commit declared as CDOCommitHistory
Modifier and Type
Field
Description
`static final CDOCommitHistory`
CDOCommitHistory.`EMPTY`
Methods in org.eclipse.emf.cdo.common.commit that return CDOCommitHistory
Modifier and Type
Method
Description
`CDOCommitHistory`
CDOCommitHistory.Provider.`getHistory()`
`CDOCommitHistory`
CDOCommitHistory.TriggerLoadElement.`getHistory()`

## Uses of CDOCommitHistory in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return CDOCommitHistory
Modifier and Type
Method
Description
`CDOCommitHistory`
CDOPushTransaction.`getHistory()`
Deprecated.

## Uses of CDOCommitHistory in org.eclipse.emf.cdo.ui.widgets

Methods in org.eclipse.emf.cdo.ui.widgets that return CDOCommitHistory
Modifier and Type
Method
Description
`protected CDOCommitHistory`
CommitHistoryComposite.`createHistory(CDOSession session, CDOBranch branch, CDOObject object)`
`final CDOCommitHistory`
CommitHistoryComposite.`getHistory()`
Methods in org.eclipse.emf.cdo.ui.widgets with parameters of type CDOCommitHistory
Modifier and Type
Method
Description
`protected void`
CommitHistoryComposite.ContentProvider.`connectInput(CDOCommitHistory history)`
`protected void`
CommitHistoryComposite.ContentProvider.`disconnectInput(CDOCommitHistory history)`